Bug 611937 - SELinux verhindert /bin/bash "sys_tty_config" Zugriff .
Summary: SELinux verhindert /bin/bash "sys_tty_config" Zugriff .
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
(Show other bugs)
Version: 13
Hardware: x86_64 Linux
low
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:56d6bc4d592...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-06 21:41 UTC by Stefan Jensen
Modified: 2011-06-29 13:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 13:55:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Stefan Jensen 2010-07-06 21:41:07 UTC
Zusammenfassung:

SELinux verhindert /bin/bash "sys_tty_config" Zugriff .

Detaillierte Beschreibung:

[SELinux ist in freizügigem Modus. Dieser Zugriff wurde nicht verweigert.]

SELinux verweigerte den von sh angeforderten Zugriff. Da nicht davon ausgegangen
wird, dass dieser Zugriff von sh benötigt wird, signalisiert dies
möglicherweise einen Einbruchsversuch. Es ist ausserdem möglich, dass diese
spezielle Version oder Konfiguration der Anwendung den zusätzlichen Zugriff
verursacht.

Zugriff erlauben:

Sie können ein lokales Richtlininenmodul generieren, um diesen Zugriff zu
erlauben siehe FAQ (http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385)
Bitte reichen Sie einen Fehlerbericht ein.

Zusätzliche Informationen:

Quellkontext                  system_u:system_r:aiccu_t:s0
Zielkontext                   system_u:system_r:aiccu_t:s0
Zielobjekte                   None [ capability ]
Quelle                        sh
Quellpfad                     /bin/bash
Port                          <Unbekannt>
Host                          (entfernt)
RPM-Pakete der Quelle         bash-4.1.7-1.fc13
RPM-Pakete des Ziels          
Richtlinien-RPM               selinux-policy-3.7.19-33.fc13
SELinux aktiviert             True
Richtlinientyp                targeted
Enforcing-Modus               Permissive
Plugin-Name                   catchall
Rechnername                   (entfernt)
Plattform                     Linux (entfernt)
                              2.6.33.5-124.fc13.x86_64 #1 SMP Fri Jun 11
                              09:38:12 UTC 2010 x86_64 x86_64
Anzahl der Alarme             1
Zuerst gesehen                Di 06 Jul 2010 22:27:28 CEST
Zuletzt gesehen               Di 06 Jul 2010 22:27:28 CEST
Lokale ID                     90c3a14f-1e52-4117-9cab-8a85bef7d689
Zeilennummern                 

Raw-Audit-Meldungen           

node=(entfernt) type=AVC msg=audit(1278448048.404:12): avc:  denied  { sys_tty_config } for  pid=1569 comm="sh" capability=26  scontext=system_u:system_r:aiccu_t:s0 tcontext=system_u:system_r:aiccu_t:s0 tclass=capability

node=(entfernt) type=SYSCALL msg=audit(1278448048.404:12): arch=c000003e syscall=16 success=yes exit=0 a0=0 a1=5401 a2=7fffd02726c0 a3=8 items=0 ppid=1568 pid=1569 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="sh" exe="/bin/bash" subj=system_u:system_r:aiccu_t:s0 key=(null)



Hash String generated from  catchall,sh,aiccu_t,aiccu_t,capability,sys_tty_config
audit2allow suggests:

#============= aiccu_t ==============
allow aiccu_t self:capability sys_tty_config;

Comment 1 Stefan Jensen 2010-07-06 21:43:21 UTC
This happens only, when service aiccu is started at boot. (chkconfig aiccu on).

Best regards

Comment 2 Daniel Walsh 2010-07-12 19:29:03 UTC
I think this can be dontaudited.

Comment 3 Daniel Walsh 2010-07-12 19:29:56 UTC
dontaudit aiccu_t self:capability sys_tty_config;

Comment 4 Miroslav Grepl 2010-07-13 07:30:57 UTC
Fixed in selinux-policy-3.7.19-36.fc13

Comment 5 Fedora Update System 2010-07-14 14:25:25 UTC
selinux-policy-3.7.19-37.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-37.fc13

Comment 6 Fedora Update System 2010-07-14 23:07:19 UTC
selinux-policy-3.7.19-37.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-37.fc13

Comment 7 Fedora Admin XMLRPC Client 2010-11-08 21:51:53 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 8 Fedora Admin XMLRPC Client 2010-11-08 21:53:11 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 9 Fedora Admin XMLRPC Client 2010-11-08 21:55:50 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 10 Bug Zapper 2011-06-01 14:35:18 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 11 Bug Zapper 2011-06-29 13:55:10 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.